Bug 3382 - Add classes to XSLT results and detail displays to facilitate CSS styling
Summary: Add classes to XSLT results and detail displays to facilitate CSS styling
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Owen Leonard
QA Contact:
URL: http://catalog.nexpresslibrary.org/cg...
Keywords:
Depends on:
Blocks:
 
Reported: 2009-07-01 06:26 UTC by Sharon Moreland
Modified: 2012-10-25 23:03 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
patch (19.48 KB, patch)
2011-03-22 19:54 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:09:50 UTC


---- Reported by smoreland@nekls.org 2009-07-01 18:26:34 ----

We would like the ability to customize what displays in the OPAC search results, specifically, we would like to suppress the call number.  The LC call number displayed comes from the 050 of the Bib, which confuses our patrons.  Discussion from #koha on July 1, 2009:

[1:14pm] Sharon: Owen - do you all 'hide' the call number display in the OPAC, especially when it shows the LC call number from the Bib? (Call Number: PS3555.V2126 M48 2004 )
[1:14pm] owen: Can you show me an example?
[1:15pm] Sharon: http://catalog.nexpresslibrary.org/cgi-bin/koha/opac-search.pl?q=metro+girl - 3rd record down
[1:16pm] owen: Well, editing your XSL stylesheet is the obvious answer...not the greatest answer if you don't have access to those files
[1:16pm] atz: if it is in an identifiable <span>, then you can use custom CSS
[1:17pm] owen: That's the trouble atz, it isn't.
[1:17pm] atz: it's a fairly easy enhancement to produce
[1:17pm] owen: Which raises the question: should every line that comes out of the XSLT display have a unique ID for this purpose?
[1:18pm] atz: owen: yeah, i think that should be a general guideline
[1:18pm] gmcharlt: owen: class names, at least
[1:18pm] gmcharlt: owen: unique IDs would be nice, as long as uniqueness was guaranteed
[1:18pm] owen: It'd have to be class names for the search results screen
[1:19pm] owen: I just hate to see the XSL option being used but the flexibility of it not being able to be tapped.



---- Additional Comments From adrea@moablibrary.org 2009-07-02 17:08:18 ----

The Grand County Public Library would also like to be able to suppress the LC Call Number.  We have turned off the XSLT stylesheet for the OPAC search results page, because it is too confusing for our patrons.  




--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:09 UTC  ---

This bug was previously known as _bug_ 3382 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3382

Actual time not defined. Setting to 0.0
CC member adrea@moablibrary.org does not have an account here
CC member jwagner@ptfs.com does not have an account here

Comment 1 Jared Camins-Esakov 2011-03-21 16:25:19 UTC
The <img> tags produced by DisplayOPACiconsXSLT should also have an identifiable class.
Comment 2 Nicole C. Engard 2011-03-22 19:54:42 UTC
Created attachment 3403 [details] [review]
patch
Comment 3 Chris Cormack 2011-03-23 08:15:21 UTC
Pushed, please test